export declare class HttpError extends Error {
    constructor(message: string, statusCode: number);
    statusCode: number;
}
export declare class UnsupportedMediaType extends HttpError {
    constructor(message?: string);
}
export declare class TooManyRequests extends HttpError {
    constructor(message?: string);
}
export declare class NotFound extends HttpError {
    constructor(message?: string);
}
export declare class BadRequest extends HttpError {
    constructor(message?: string);
}
export declare class InternalServerError extends HttpError {
    constructor(message?: string);
}
